Skip to main content
GET
Get audio file URL

Authorizations

X-API-Key
string
header
required

API key for authentication.

Path Parameters

simulation_id
string
required

The simulation ID

Required string length: 22 - 27

Response

Presigned audio URL

audio_url
string<uri>
required

Presigned S3 URL for audio file download (valid for 1 hour)

Example:

"https://coval-voice-evals-prod.s3.amazonaws.com/audio/abc123.wav?X-Amz-Signature=..."

simulation_id
string
required

Simulation identifier

Example:

"def456ghi012"

url_expires_in_seconds
integer
required

URL expiration time in seconds (3600 = 1 hour)

Example:

3600

peaks_url
string<uri> | null

Presigned S3 URL for precomputed waveform peaks JSON (valid for 1 hour). Contains an array of up to 800 [min, max] amplitude pairs for waveform visualization. Null for older recordings without precomputed peaks. May return 404 if peaks were not generated for this recording.

Example:

"https://coval-voice-evals-prod.s3.amazonaws.com/audio/abc123.peaks.json?X-Amz-Signature=..."